Redmine - Defect #15981

Internal error. An error occurred on the page you were trying to access. If you continue to experience
problems please contact your redMine administrator for assistance.

2014-01-28 11:05 - vinuthna g
Priority: Normal Due date:

Assignee: % Done: 0%
Description
Hi,
| have installed redmine(2.4.2) on ubuntu12.04. I'm able to login but when | try to access settings page getting

"Internal error

An error occurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.
Back"
here is log details

ActionView::Template::Error (uninitialized constant Redmine::Scm::Adapters::AbstractAdapter::CommandFailed):
10:  <th><%= I(:text_scm_command_version) ></th>

11: </tr>

12: < Redmine::Scm::Base.all.collect do |choice| >

13: < scm_class = "Repository::#{choice}".constantize >

14: < text, value = (choice.is_a?(Array) ? choice : [choice, choice]) >

15: < setting = :enabled_scm >

16: < enabled = Setting.send(setting).include?(value) %>

lib/redmine/scm/adapters/abstract_adapter.rb:30:in “<class:AbstractAdapter>'
lib/redmine/scm/adapters/abstract_adapter.rb:27:in “<module:Adapters>'
lib/redmine/scm/adapters/abstract_adapter.rb:26:in “<module:Scm>'
lib/redmine/scm/adapters/abstract_adapter.rb:25:in “<module:Redmine>'
lib/redmine/scm/adapters/abstract_adapter.rb:24:in “<top (required)>'
lib/redmine/scm/adapters/subversion_adapter.rb:18:in “<top (required)>'

app/models/repository/subversion.rb:18:in “<top (required)>'

app/views/settings/_repositories.html.erb:13:in “block (2 levels) in app_views_settings

_repositories_html_erb__ 209865324_94295810'

app/views/settings/_repositories.html.erb:12:in “collect'

app/views/settings/_repositories.html.erb:12:in “block in app_views_settings_repositories_html_erb__ 209865324 _94295810'
app/views/settings/_repositories.html.erb:1:in *_app_views_settings__repositories_html_erb__ 209865324 94295810
app/views/common/_tabs.html.erb:24:in "block in app_views common_tabs_html_erb__ 895036420__ 641517268
app/views/common/_tabs.html.erb:23:in “each’

app/views/common/_tabs.html.erb:23:in *_app_views_common__tabs_html_erb__ 895036420__ 641517268
app/helpers/application_helper.rb:272:in “render_tabs'

app/views/settings/edit.html.erb:3:in °_app_views_settings_edit_html_erb__ 1028967226__ 644797018
app/controllers/settings_controller.rb:28:in “index’

Related issues:
Is duplicate of Redmine - Defect #15756: 500 on admin info/settings page on d... Closed

History

#1 - 2014-01-28 11:17 - Daniel Felix

Have you run rake generate_secret_token?
#2 - 2014-01-28 11:23 - vinuthna g

Daniel Felix wrote:

Have you run rake generate_secret_token?

Hi,
Thanks for the reply.Yes | did it.
#3 - 2014-01-29 13:57 - vinuthna g
vinuthna g wrote:
Daniel Felix wrote:

Have you run rake generate_secret_token?

Hi,

Thanks for the reply.Yes | did it.

still I'm getting this error.Can anyone please suggest regarding this.

#4 - 2014-01-29 14:30 - Daniel Felix

Maybe you haven't installed any version control system which is configured by you?

Which settings do you mean? Per project or systemwide?

Sorry for the later reply but I'm not always on. ;-)

#5 - 2014-01-31 08:05 - vinuthna g

Daniel Felix wrote:
Maybe you haven't installed any version control system which is configured by you?
Which settings do you mean? Per project or systemwide?

Sorry for the later reply but I'm not always on. ;-)

Issue resolved. | have added require 'redmine/scm/adapters’ in lib/redmine/scm/adapters/abstract_adapter.rb.

#6 - 2014-01-31 08:06 - vinuthna g

- Status changed from New to Resolved

#7 - 2014-01-31 08:33 - Toshi MARUYAMA
- Status changed from Resolved to Closed
- Priority changed from High to Normal

- Resolution set to Duplicate

Duplicate of #15756.

#8 - 2014-01-31 08:33 - Toshi MARUYAMA

- Is duplicate of Defect #15756: 500 on admin info/settings page on development environment added
